Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -94,19 +94,19 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成
             string strcmd = "SELECT";
 
             strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";         // 議事録作成日
+            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";       // 議事録作成日
             strcmd += " ,ConstructionCode";                                 // 工事番号
-            strcmd += " ,DATE_FORMAT(StartMeetingTime, '%Y/%m/%d')";            // 会議時間開始
-            strcmd += " ,DATE_FORMAT(EndMeetingTime, '%Y/%m/%d')";              // 会議時間終了
+            strcmd += " ,DATE_FORMAT(StartMeetingTime, '%Y/%m/%d')";          // 会議時間開始
+            strcmd += " ,DATE_FORMAT(EndMeetingTime, '%Y/%m/%d')";            // 会議時間終了
             strcmd += " ,MeetingPalce1";                                    // 打合せ場所１
             strcmd += " ,MeetingPalce2";                                    // 打合せ場所２
             strcmd += " ,MeetingPalce3";                                    // 打合せ場所３
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";          // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";         // 更新年月日
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
             strcmd += " FROM ProceedingsData";
 
             return strcmd;
@@ -116,7 +116,7 @@
         #region 複数読込み処理
         public bool SelectAction(string AddSQLString, ref List<ProceedingsData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -149,7 +149,7 @@
         #region 1件読込み処理
         public bool SelectAction(string AddSQLString, ref ProceedingsData data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -194,19 +194,19 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                          // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.StartMeetingTime.ToShortDateString());   // 会議時間開始
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.StartMeetingTime.ToShortDateString());   // 会議時間終了
                 strcmd += string.Format(",'{0}'", work.MeetingPalce1);                      // 打合せ場所１
                 strcmd += string.Format(",'{0}'", work.MeetingPalce2);                      // 打合せ場所２
                 strcmd += string.Format(",'{0}'", work.MeetingPalce3);                      // 打合せ場所３
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -260,18 +260,18 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",ProceedingsDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",StartMeetingTime = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",StartMeetingTime = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.StartMeetingTime.ToShortDateString());           // 会議時間開始
-                strcmd += string.Format(",EndMeetingTime = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",EndMeetingTime = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.EndMeetingTime.ToShortDateString());             // 会議時間終了
                 strcmd += string.Format(",MeetingPalce1 = '{0}'", data.MeetingPalce1);          // 打合せ場所１
                 strcmd += string.Format(",MeetingPalce2 = '{0}'", data.MeetingPalce2);          // 打合せ場所２
                 strcmd += string.Format(",MeetingPalce3 = '{0}'", data.MeetingPalce3);          // 打合せ場所３
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -295,7 +295,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -315,9 +315,8 @@
 
         #region データセット処理
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref ProceedingsData wrk)
         {
@@ -339,7 +338,7 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
@@ -364,7 +363,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND ProceedingsDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                    strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttendee.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttendee.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttendee.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -86,17 +86,17 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成
             string strcmd = "SELECT";
 
             strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";         // 議事録作成日
+            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";       // 議事録作成日
             strcmd += " ,ConstructionCode";                                 // 工事番号
             strcmd += " ,SeqNo";                                            // データ行番号
             strcmd += " ,Department";                                       // 出席者所属
             strcmd += " ,AttendeeName";                                     // 出席者氏名
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";          // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";         // 更新年月日
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
             strcmd += " FROM ProceedingsDataAttendee";
 
             return strcmd;
@@ -106,7 +106,7 @@
         #region 複数読込み処理
         public bool SelectAction(string AddSQLString, ref List<ProceedingsDataAttendee> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -139,7 +139,7 @@
         #region 1件読込み処理
         public bool SelectAction(string AddSQLString, ref ProceedingsDataAttendee data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -184,7 +184,7 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                          // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.ProceedingsDataDate.ToShortDateString());      // 議事録作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
@@ -192,8 +192,8 @@
                 strcmd += string.Format(",'{0}'", work.Department);                         // 出席者所属
                 strcmd += string.Format(",'{0}'", work.AttendeeName);                       // 出席者氏名
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -247,7 +247,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",ProceedingsDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
@@ -255,7 +255,7 @@
                 strcmd += string.Format(",Department = '{0}'", data.Department);                // 出席者所属
                 strcmd += string.Format(",AttendeeName = '{0}'", data.AttendeeName);            // 出席者氏名
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -279,7 +279,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -299,9 +299,8 @@
 
         #region データセット処理
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref ProceedingsDataAttendee wrk)
         {
@@ -321,7 +320,7 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
@@ -346,7 +345,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND ProceedingsDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                    strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -90,18 +90,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成
             string strcmd = "SELECT";
 
             strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";         // 議事録作成日
+            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";       // 議事録作成日
             strcmd += " ,ConstructionCode";                                 // 工事番号
             strcmd += " ,SeqNo";                                            // データ行番号
             strcmd += " ,TitileNo";                                         // 議題番号
             strcmd += " ,Titile";                                           // 議題
             strcmd += " ,Contents";                                         // 内容
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";          // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";         // 更新年月日
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
             strcmd += " FROM ProceedingsDataDetail";
 
             return strcmd;
@@ -111,7 +111,7 @@
         #region 複数読込み処理
         public bool SelectAction(string AddSQLString, ref List<ProceedingsDataDetail> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -144,7 +144,7 @@
         #region 1件読込み処理
         public bool SelectAction(string AddSQLString, ref ProceedingsDataDetail data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -188,18 +188,18 @@
 
                 strcmd += " VALUES (";
 
-                strcmd += string.Format("  {0}", work.PersonCode);                              // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
-                                            , work.ProceedingsDataDate.ToShortDateString());    // 議事録作成日
-                strcmd += string.Format(", {0}", work.ConstructionCode);                        // 工事番号
-                strcmd += string.Format(", {0}", work.SeqNo);                                   // データ行番号
+                strcmd += string.Format("  {0}", work.PersonCode);                          // 担当者コード
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                                            , work.ProceedingsDataDate.ToShortDateString());      // 議事録作成日
+                strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
+                strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
 
-                strcmd += string.Format(", {0}", work.TitleNo);                                 // 議題番号
-                strcmd += string.Format(",'{0}'", work.Title);                                  // 議題
-                strcmd += string.Format(",'{0}'", work.Contents);                               // 内容
+                strcmd += string.Format(", {0}", work.TitleNo);                            // 議題番号
+                strcmd += string.Format(",'{0}'", work.Title);                             // 議題
+                strcmd += string.Format(",'{0}'", work.Contents);                           // 内容
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -253,8 +253,8 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",ProceedingsDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
-                                        , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
+                strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                                        , data.ProceedingsDataDate.ToShortDateString());              // 議事録作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
 
@@ -262,7 +262,7 @@
                 strcmd += string.Format(",Titile = '{0}'", data.Title);                         // 議題
                 strcmd += string.Format(",Contents = '{0}'", data.Contents);                    // 内容
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -286,7 +286,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -306,9 +306,8 @@
 
         #region データセット処理
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref ProceedingsDataDetail wrk)
         {
@@ -329,7 +328,7 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
@@ -356,7 +355,7 @@
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND ProceedingsDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                    strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
             }
             catch (Exception ex)
             {
